diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index 6d4eb31e..1316c7be 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -3143,26 +3143,26 @@ define('tools.querytool', [
             'trans_id': self.transId,
           }),
           method: 'POST',
-          success: function(res) {
-            self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            setTimeout(
-              function() {
-                if (res.data.status) {
-                  // Refresh the sql grid
-                  queryToolActions.executeQuery(self);
-                } else {
-                  alertify.alert(gettext('Remove Filter Error'), res.data.result);
-                }
+        })
+        .done(function(res) {
+          self.trigger('pgadmin-sqleditor:loading-icon:hide');
+          setTimeout(
+            function() {
+              if (res.data.status) {
+                // Refresh the sql grid
+                queryToolActions.executeQuery(self);
+              } else {
+                alertify.alert(gettext('Remove Filter Error'), res.data.result);
               }
-            );
-          },
-          error: function(e) {
-            self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            let msg = httpErrorHandler.handleQueryToolAjaxError(
-              pgAdmin, self, e, '_remove_filter', [], true
-            );
-            alertify.alert(gettext('Remove Filter Error'), msg);
-          },
+            }
+          );
+        })
+        .fail(function(e) {
+          self.trigger('pgadmin-sqleditor:loading-icon:hide');
+          let msg = httpErrorHandler.handleQueryToolAjaxError(
+            pgAdmin, self, e, '_remove_filter', [], true
+          );
+          alertify.alert(gettext('Remove Filter Error'), msg);
         });
       },
 
@@ -3184,28 +3184,28 @@ define('tools.querytool', [
           method: 'POST',
           contentType: 'application/json',
           data: JSON.stringify(sql),
-          success: function(res) {
-            self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            setTimeout(
-              function() {
-                if (res.data.status) {
-                  $('#filter').addClass('hidden');
-                  $('#editor-panel').removeClass('sql-editor-busy-fetching');
-                  // Refresh the sql grid
-                  queryToolActions.executeQuery(self);
-                } else {
-                  alertify.alert(gettext('Apply Filter Error'), res.data.result);
-                }
-              }, 10
-            );
-          },
-          error: function(e) {
-            self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            let msg = httpErrorHandler.handleQueryToolAjaxError(
-              pgAdmin, self, e, '_apply_filter', [], true
-            );
-            alertify.alert(gettext('Apply Filter Error'), msg);
-          },
+        })
+        .done(function(res) {
+          self.trigger('pgadmin-sqleditor:loading-icon:hide');
+          setTimeout(
+            function() {
+              if (res.data.status) {
+                $('#filter').addClass('hidden');
+                $('#editor-panel').removeClass('sql-editor-busy-fetching');
+                // Refresh the sql grid
+                queryToolActions.executeQuery(self);
+              } else {
+                alertify.alert(gettext('Apply Filter Error'), res.data.result);
+              }
+            }, 10
+          );
+        })
+        .fail(function(e) {
+          self.trigger('pgadmin-sqleditor:loading-icon:hide');
+          let msg = httpErrorHandler.handleQueryToolAjaxError(
+            pgAdmin, self, e, '_apply_filter', [], true
+          );
+          alertify.alert(gettext('Apply Filter Error'), msg);
         });
       },
 
@@ -3310,25 +3310,25 @@ define('tools.querytool', [
           method: 'POST',
           contentType: 'application/json',
           data: JSON.stringify(limit),
-          success: function(res) {
-            self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            setTimeout(
-              function() {
-                if (res.data.status) {
-                  // Refresh the sql grid
-                  queryToolActions.executeQuery(self);
-                } else
-                  alertify.alert(gettext('Change limit Error'), res.data.result);
-              }, 10
-            );
-          },
-          error: function(e) {
-            self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            let msg = httpErrorHandler.handleQueryToolAjaxError(
-              pgAdmin, self, e, '_set_limit', [], true
-            );
-            alertify.alert(gettext('Change limit Error'), msg);
-          },
+        })
+        .done(function(res) {
+          self.trigger('pgadmin-sqleditor:loading-icon:hide');
+          setTimeout(
+            function() {
+              if (res.data.status) {
+                // Refresh the sql grid
+                queryToolActions.executeQuery(self);
+              } else
+                alertify.alert(gettext('Change limit Error'), res.data.result);
+            }, 10
+          );
+        })
+        .fail(function(e) {
+          self.trigger('pgadmin-sqleditor:loading-icon:hide');
+          let msg = httpErrorHandler.handleQueryToolAjaxError(
+            pgAdmin, self, e, '_set_limit', [], true
+          );
+          alertify.alert(gettext('Change limit Error'), msg);
         });
       },
 
@@ -3440,22 +3440,22 @@ define('tools.querytool', [
           }),
           method: 'POST',
           contentType: 'application/json',
-          success: function(res) {
-            if (!res.data.status) {
-              alertify.alert(gettext('Cancel Query Error'), res.data.result);
-            }
-            self.disable_tool_buttons(false);
-            is_query_running = false;
-            setTimeout(() => { self.gridView.query_tool_obj.focus(); }, 200);
-          },
-          error: function(e) {
-            self.disable_tool_buttons(false);
+        })
+        .done(function(res) {
+          if (!res.data.status) {
+            alertify.alert(gettext('Cancel Query Error'), res.data.result);
+          }
+          self.disable_tool_buttons(false);
+          is_query_running = false;
+          setTimeout(() => { self.gridView.query_tool_obj.focus(); }, 200);
+        })
+        .fail(function(e) {
+          self.disable_tool_buttons(false);
 
-            let msg = httpErrorHandler.handleQueryToolAjaxError(
-              pgAdmin, self, e, '_cancel_query', [], false
-            );
-            alertify.alert(gettext('Cancel Query Error'), msg);
-          },
+          let msg = httpErrorHandler.handleQueryToolAjaxError(
+            pgAdmin, self, e, '_cancel_query', [], false
+          );
+          alertify.alert(gettext('Cancel Query Error'), msg);
         });
       },
 
@@ -3502,19 +3502,19 @@ define('tools.querytool', [
           method: 'POST',
           contentType: 'application/json',
           data: JSON.stringify(auto_rollback),
-          success: function(res) {
-            if (!res.data.status)
-              alertify.alert(gettext('Auto Rollback Error'), res.data.result);
-            else
-              self.call_cache_preferences();
-          },
-          error: function(e) {
+        })
+        .done(function(res) {
+          if (!res.data.status)
+            alertify.alert(gettext('Auto Rollback Error'), res.data.result);
+          else
+            self.call_cache_preferences();
+        })
+        .fail(function(e) {
 
-            let msg = httpErrorHandler.handleQueryToolAjaxError(
-              pgAdmin, self, e, '_auto_rollback', [], true
-            );
-            alertify.alert(gettext('Auto Rollback Error'), msg);
-          },
+          let msg = httpErrorHandler.handleQueryToolAjaxError(
+            pgAdmin, self, e, '_auto_rollback', [], true
+          );
+          alertify.alert(gettext('Auto Rollback Error'), msg);
         });
       },
 
@@ -3537,18 +3537,18 @@ define('tools.querytool', [
           method: 'POST',
           contentType: 'application/json',
           data: JSON.stringify(auto_commit),
-          success: function(res) {
-            if (!res.data.status)
-              alertify.alert(gettext('Auto Commit Error'), res.data.result);
-            else
-              self.call_cache_preferences();
-          },
-          error: function(e) {
-            let msg = httpErrorHandler.handleQueryToolAjaxError(
-              pgAdmin, self, e, '_auto_commit', [], true
-            );
-            alertify.alert(gettext('Auto Commit Error'), msg);
-          },
+        })
+        .done(function(res) {
+          if (!res.data.status)
+            alertify.alert(gettext('Auto Commit Error'), res.data.result);
+          else
+            self.call_cache_preferences();
+        })
+        .fail(function(e) {
+          let msg = httpErrorHandler.handleQueryToolAjaxError(
+            pgAdmin, self, e, '_auto_commit', [], true
+          );
+          alertify.alert(gettext('Auto Commit Error'), msg);
         });
 
       },
@@ -3562,22 +3562,22 @@ define('tools.querytool', [
           method: 'PUT',
           contentType: 'application/json',
           data: JSON.stringify(data),
-          success: function(res) {
-            if (res.success == undefined || !res.success) {
-              alertify.alert(gettext('Explain options error'),
-                gettext('Error occurred while setting %(subItem)s option in explain.',
-                        {subItem : subItem})
-              );
-            }
-            else
-              self.call_cache_preferences();
-          },
-          error: function(e) {
-            let msg = httpErrorHandler.handleQueryToolAjaxError(
-              pgAdmin, self, e, caller, [], true
+        })
+        .done(function(res) {
+          if (res.success == undefined || !res.success) {
+            alertify.alert(gettext('Explain options error'),
+              gettext('Error occurred while setting %(subItem)s option in explain.',
+                      {subItem : subItem})
             );
-            alertify.alert(gettext('Explain options error'), msg);
-          },
+          }
+          else
+            self.call_cache_preferences();
+        })
+        .fail(function(e) {
+          let msg = httpErrorHandler.handleQueryToolAjaxError(
+            pgAdmin, self, e, caller, [], true
+          );
+          alertify.alert(gettext('Explain options error'), msg);
         });
       },
 
diff --git a/web/pgadmin/tools/user_management/static/js/user_management.js b/web/pgadmin/tools/user_management/static/js/user_management.js
index ec3d5153..0b5fe3aa 100644
--- a/web/pgadmin/tools/user_management/static/js/user_management.js
+++ b/web/pgadmin/tools/user_management/static/js/user_management.js
@@ -776,17 +776,17 @@ define([
                 url: ROLEURL,
                 method: 'GET',
                 async: false,
-                success: function(res) {
-                  Roles = res;
-                },
-                error: function() {
-                  setTimeout(function() {
-                    alertify.alert(
-                      gettext('Error'),
-                      gettext('Cannot load user roles.')
-                    );
-                  }, 100);
-                },
+              })
+              .done(function(res) {
+                Roles = res;
+              })
+              .fail(function() {
+                setTimeout(function() {
+                  alertify.alert(
+                    gettext('Error'),
+                    gettext('Cannot load user roles.')
+                  );
+                }, 100);
               });
 
               var view = this.view = new Backgrid.Grid({
